import os


class DFS:
    def __init__(self, n_try=5):
        self.n_try = n_try
        pass

    @staticmethod
    def retry(func, n, *args, **kwargs):
        for attempt in range(1, n + 1):
            try:
                res = func(*args, **kwargs)
                assert res["code"] == 0, res
                return res
            except BaseException as e:
                print(f"Error occurs: {e.__repr__()}")
        raise RuntimeError("All attempts failed.")





